GET

List Condition Operators

Use this API to return a list of possible operators for a given condition value.

Resource URL

https://<subdomain>.onelogin.com/api/2/apps/:app_id/rules/conditions/:condition_value/operators

Header Parameters

Authorization

required

string

Set to bearer <access_token>.

Set <access_token> to the access token you generated using the Generate Token API.

The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: Manage All.

Resource Parameters

app_id

required

integer

The id of the application that where the rules apply.

condition_value

string

The value for the selected condition. For a complete list of possible condition values see List Conditons.

Sample Responses

When condition value is member_of

[
    {
        "name": "equals",
        "value": "="
    },
    {
        "name": "does not equal",
        "value": "!="
    },
    {
        "name": "contains",
        "value": "~"
    },
    {
        "name": "does not contain",
        "value": "!~"
    },
    {
        "name": "begins with",
        "value": "bw"
    },
    {
        "name": "ends with",
        "value": "ew"
    }
]

Typically, this error means that your access token value is invalid.

{
    "message": "Unauthorized",
    "statusCode": 401,
    "name": "UnauthorizedError"
}

Response Elements

nameThe name or description of the operator.
valueThe condition operator value to use when creating or updating App Rules.

Postman Collection

Run In Postman

The App Rules API Postman Collections are nested in the Apps API Collection folder in the Rules folder.

Sample Code

cURL

Replace sample values indicated by < > with your actual values.

List Condition Operators

curl 'https://<subdomain>.onelogin.com/api/2/apps/:app_id/rules/<condition_value>>/operators' \
-X GET \
-H "Authorization: bearer <access_token>"